Skip to main content
GET
/
api
/
v1
/
profiles
/
{profile_id}
/
phone_numbers
List phone numbers for a profile
curl --request GET \
  --url https://api.scholarlysoftware.com/api/v1/profiles/{profile_id}/phone_numbers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "phone_number",
      "attributes": {
        "created_at": "<string>",
        "updated_at": "<string>",
        "custom_fields": {},
        "label": "home",
        "phone_number": "+14155559012",
        "external_id": "EXT-12345",
        "effective_from": "2023-12-25",
        "effective_to": "2023-12-25"
      },
      "relationships": {
        "user": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "user",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        },
        "profile": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "profile",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        }
      }
    }
  ],
  "meta": {
    "page": {
      "size": 123
    },
    "total": 123
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "next": "<string>",
    "prev": "<string>",
    "last": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Path Parameters

profile_id
string
required

Query Parameters

include
string

Comma-separated list of relationships to include. Allowed: user, profile

sort
string

Sort order. Prefix with - for descending. Allowed: created_at, updated_at

filter[key]
string

Filter results. Available filters: phone_number, phone_number.neq, phone_number.cont (case-insensitive substring match), phone_number.in (comma-separated list), phone_number.nin (comma-separated list), external_id, external_id.neq, external_id.cont (case-insensitive substring match), external_id.in (comma-separated list), external_id.nin (comma-separated list), effective_from, effective_from.neq, effective_from.lt, effective_from.lte, effective_from.gt, effective_from.gte, effective_to, effective_to.neq, effective_to.lt, effective_to.lte, effective_to.gt, effective_to.gte, user, profile, profile.exists. Custom fields can also be filtered with filter[custom_fields.field_name].

page[size]
integer

Number of items per page (max 100)

page[after]
string

Cursor for next page

page[before]
string

Cursor for previous page

Response

phone numbers found

data
object[]
required
meta
object